import os
import sys


sys.path.insert(0, os.path.dirname(__file__))


#def application(environ, start_response):
#    start_response('200 OK', [('Content-Type', 'text/plain')])
#    message = 'It works!\n'
#    version = 'Python %s\n' % sys.version.split()[0]
#    response = '\n'.join([message, version])
#    return [response.encode()]


def application(environ, start_response):
    if environ['PATH_INFO'] == '/':
        start_response('200 OK', [('Content-Type', 'text/html')])
        message = '<html><body><h1>Welcome to the Custom WSGI App!</h1></body></html>'
    elif environ['PATH_INFO'] == '/about':
        start_response('200 OK', [('Content-Type', 'text/plain')])
        message = 'This is the about page of the Custom WSGI App.'
    else:
        start_response('404 Not Found', [('Content-Type', 'text/plain')])
        message = '404 - Not Found'
    return [message.encode()]
